﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using VendaVeiculo.API.Persistence;

namespace VendaVeiculo.API.Migrations
{
    [DbContext(typeof(VendaVeiculoDbContext))]
    [Migration("20190317223150_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.3-servicing-35854")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("VendaVeiculo.API.Models.Proposta", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("DataProposta");

                    b.Property<Guid>("IdVeiculo");

                    b.Property<string>("NomeCliente");

                    b.Property<decimal>("Valor")
                        .HasColumnType("decimal");

                    b.HasKey("Id");

                    b.HasIndex("IdVeiculo");

                    b.ToTable("Propostas");
                });

            modelBuilder.Entity("VendaVeiculo.API.Models.Veiculo", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("Ano");

                    b.Property<string>("Marca");

                    b.Property<string>("Modelo");

                    b.Property<int>("Preco");

                    b.Property<bool>("Vendido");

                    b.HasKey("Id");

                    b.ToTable("Veiculos");
                });

            modelBuilder.Entity("VendaVeiculo.API.Models.Proposta", b =>
                {
                    b.HasOne("VendaVeiculo.API.Models.Veiculo", "Veiculo")
                        .WithMany("Proposta")
                        .HasForeignKey("IdVeiculo")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
